Gate.io - access denied, check your API keys

Describe the problem:
I am trying to sync transaction using API keys

Which exchange/wallet is this regarding?

How did you import data into this wallet?
API key

What have you tried to fix this so far?
Tired to delete/create and sync several times.

I am a new user, trying to sync my Gate.io wallet. I have created APIv4 key in an attempt to sync (as I did with my other wallets) and I am receiving the above error - ‘access denied, check your API keys’ - please advise how i can fix this?

Looks like Koinly has no answer to this problem.

I am facing the exact same issue

Any update? Gate.io is pretty big.

Confirming sync still doesn’t work between Koinly and Gate… APIv4 flat out fails with access denied. APIv2 appears to sort of work but does a terrible job of retrieving transactions accurately.

This looks to have been first reported back in May, resolved in June without ever being resolved, and continues to be an issue in October…

I can’t even do a CSV without errors. Any other ideas?